<?php
function af_invoice_pdf_select_design()
{
    $af_invoice_pdf_select_design = get_option('af_invoice_pdf_select_design');
    ?>
    <div style="display: flex; justify-content: space-between;">
        <div class="af_invoice_pdf_select_design af_pdf_invoice_preview_changes" style="width: 15%;">
            <select name="af_invoice_pdf_select_design" id="af_invoice_pdf_select_design">
                <option value="temp1.php" <?php selected('temp1.php', $af_invoice_pdf_select_design); ?>>
                    <?php esc_html_e('Template 1', 'af_pdf_invoices'); ?>
                </option>
                <option value="temp2.php" <?php selected('temp2.php', $af_invoice_pdf_select_design); ?>>
                    <?php esc_html_e('Template 2', 'af_pdf_invoices'); ?>
                </option>
                <option value="temp3.php" <?php selected('temp3.php', $af_invoice_pdf_select_design); ?>>
                    <?php esc_html_e('Template 3', 'af_pdf_invoices'); ?>
                </option>
            </select>
        </div>
        <div id="template-preview-container">
            <h2><?php echo esc_html__('Template preview', 'af_pdf_invoices'); ?></h2>
            <div id="template-preview" style="border: 1px solid #ccc; padding: 20px; background-color: white;">

            </div>
            <button id="download-template-btn" class="af_pdf_download_preview"
                style="margin-top: 20px;"><?php echo esc_html__('Download Preview', 'af_pdf_invoices'); ?></button>
        </div>

    </div>
    <label>
        <?php echo esc_html__('Want to use your own template? Copy all the files from wp-content/plugins/'); ?><br>
        <?php echo esc_html__('addify-pdf-invoices/includes/templates/pdf to wp-content'); ?><br>
        <?php echo esc_html__('/addify-pdf-invoices-and-packing-slip/pdf-invoices/ to customize them.'); ?>
    </label>



    <input type="hidden" id="selected_design_id" name="selected_design_id"
        value="<?php echo esc_attr($af_invoice_pdf_select_design); ?>">
    <?php
}



add_settings_section(
    'addify_invoices_pdf_data_settings_fields',
    '',
    '',
    'addify_invoices_pdf_data_settings_sections'
);


add_settings_field(
    'order_statuses',
    esc_html__('Select order status for PDF download', 'af_pdf_invoices'),
    'order_statuses',
    'addify_invoices_pdf_data_settings_sections',
    'addify_invoices_pdf_data_settings_fields'
);

register_setting(
    'addify_invoices_pdf_data_settings_fields',
    'order_statuses'
);

add_settings_field(
    'af_invoices_pdf_select_email',
    esc_html__('Select email template to attach PDF invoice', 'af_pdf_invoices'),
    'af_invoices_pdf_select_email',
    'addify_invoices_pdf_data_settings_sections',
    'addify_invoices_pdf_data_settings_fields'
);

register_setting(
    'addify_invoices_pdf_data_settings_fields',
    'af_invoices_pdf_select_email'
);


add_settings_field(
    'af_invoices_allow_invoice_download',
    esc_html__('Enable to download PDF invoice with order', 'af_pdf_invoices'),
    'af_invoices_allow_invoice_download',
    'addify_invoices_pdf_data_settings_sections',
    'addify_invoices_pdf_data_settings_fields'
);

register_setting(
    'addify_invoices_pdf_data_settings_fields',
    'af_invoices_allow_invoice_download'
);



// layout setting 
add_settings_section(
    'addify_invoices_pdf_general_settings_fields',
    '', // Title to be displayed on the administration page.
    '', // Callback used to render the description of the section.
    'addify_invoices_pdf_general_settings_sections'
);

add_settings_field(
    'af_invoice_pdf_select_design',
    esc_html__('Select PDF design', 'af_pdf_invoices'),
    'af_invoice_pdf_select_design',
    'addify_invoices_pdf_general_settings_sections',
    'addify_invoices_pdf_general_settings_fields'
);

register_setting(
    'addify_invoices_pdf_general_settings_fields',
    'af_invoice_pdf_select_design'
);

add_settings_field(
    'af_invoice_pdf_heading',
    esc_html__('Invoice heading', 'af_pdf_invoices'),
    'af_invoice_pdf_heading',
    'addify_invoices_pdf_general_settings_sections',
    'addify_invoices_pdf_general_settings_fields'
);

register_setting(
    'addify_invoices_pdf_general_settings_fields',
    'af_invoice_pdf_heading'
);



add_settings_field(
    'af_invoices_pdf_header_logo',
    esc_html__('Upload logo', 'af_pdf_invoices'),
    'af_invoices_pdf_header_logo',
    'addify_invoices_pdf_general_settings_sections',
    'addify_invoices_pdf_general_settings_fields'
);

register_setting(
    'addify_invoices_pdf_general_settings_fields',
    'af_invoices_pdf_header_logo'
);
add_settings_field(
    'af_invoices_pdf_header_logo_height',
    esc_html__('Logo height ', ' af_pdf_invoices'),
    'af_invoices_pdf_header_logo_height',
    'addify_invoices_pdf_general_settings_sections',
    'addify_invoices_pdf_general_settings_fields'
);
register_setting(
    'addify_invoices_pdf_general_settings_fields',
    'af_invoices_pdf_header_logo_height'
);

add_settings_field(
    'af_invoices_pdf_company_detail',
    esc_html__('Company details', 'af_pdf_invoices'),
    'af_invoices_pdf_company_detail',
    'addify_invoices_pdf_general_settings_sections',
    'addify_invoices_pdf_general_settings_fields'
);

register_setting(
    'addify_invoices_pdf_general_settings_fields',
    'af_invoices_pdf_company_detail'
);

register_setting(
    'addify_invoices_pdf_general_settings_fields',
    'af_invoices_pdf_custom_store_name'
);



add_settings_field(
    'af_invoices_display_email_address',
    esc_html__('Enable email address', 'af_pdf_invoices'),
    'af_invoices_display_email_address',
    'addify_invoices_pdf_general_settings_sections',
    'addify_invoices_pdf_general_settings_fields'
);

register_setting(
    'addify_invoices_pdf_general_settings_fields',
    'af_invoices_display_email_address'
);

add_settings_field(
    'af_invoices_display_phone_number',
    esc_html__('Enable contact number', 'af_pdf_invoices'),
    'af_invoices_display_phone_number',
    'addify_invoices_pdf_general_settings_sections',
    'addify_invoices_pdf_general_settings_fields'
);

register_setting(
    'addify_invoices_pdf_general_settings_fields',
    'af_invoices_display_phone_number'
);

add_settings_field(
    'af_invoices_display_invoice_number',
    esc_html__('Enable invoice/order number', 'af_pdf_invoices'),
    'af_invoices_display_invoice_number',
    'addify_invoices_pdf_general_settings_sections',
    'addify_invoices_pdf_general_settings_fields'
);
register_setting('addify_invoices_pdf_general_settings_fields', 'af_invoices_display_invoice_number');

register_setting('addify_invoices_pdf_general_settings_fields', 'af_invoice_padding');


add_settings_field(
    'af_invoices_vat_number',
    esc_html__('Shop vat number', 'af_pdf_invoices'),
    'af_invoices_vat_number',
    'addify_invoices_pdf_general_settings_sections',
    'addify_invoices_pdf_general_settings_fields'
);

register_setting(
    'addify_invoices_pdf_general_settings_fields',
    'af_invoices_vat_number'
);



add_settings_field(
    'af_invoices_order_date',
    esc_html__('Enable order date', 'af_pdf_invoices'),
    'af_invoices_order_date',
    'addify_invoices_pdf_general_settings_sections',
    'addify_invoices_pdf_general_settings_fields'
);

register_setting(
    'addify_invoices_pdf_general_settings_fields',
    'af_invoices_order_date'
);




add_settings_field(
    'af_invoices_pdf_shipping_date',
    esc_html__('Enable shipping data', 'af_pdf_invoices'),
    'af_invoices_pdf_shipping_date',
    'addify_invoices_pdf_general_settings_sections',
    'addify_invoices_pdf_general_settings_fields'
);

register_setting(
    'addify_invoices_pdf_general_settings_fields',
    'af_invoices_pdf_shipping_date'
);

add_settings_field(
    'af_invoices_pdf_header_color',
    esc_html__('PDF header text color', 'af_pdf_invoices'),
    'af_invoices_pdf_header_color',
    'addify_invoices_pdf_general_settings_sections',
    'addify_invoices_pdf_general_settings_fields'
);

register_setting(
    'addify_invoices_pdf_general_settings_fields',
    'af_invoices_pdf_header_color'
);

add_settings_field(
    'af_invoices_pdf_header_background_color',
    esc_html__('PDF header background color', 'af_pdf_invoices'),
    'af_invoices_pdf_header_background_color',
    'addify_invoices_pdf_general_settings_sections',
    'addify_invoices_pdf_general_settings_fields'
);

register_setting(
    'addify_invoices_pdf_general_settings_fields',
    'af_invoices_pdf_header_background_color'
);
add_settings_field(
    'af_invoices_pdf_footer_text_color',
    esc_html__('PDF footer text color', ' af_pdf_invoices'),
    'af_invoices_pdf_footer_text_color',
    'addify_invoices_pdf_general_settings_sections',
    'addify_invoices_pdf_general_settings_fields'
);
register_setting(
    'addify_invoices_pdf_general_settings_fields',
    'af_invoices_pdf_footer_text_color'
);
add_settings_field(
    'af_invoices_pdf_footer_background_color',
    esc_html__('PDF footer background color', ' af_pdf_invoices'),
    'af_invoices_pdf_footer_background_color',
    'addify_invoices_pdf_general_settings_sections',
    'addify_invoices_pdf_general_settings_fields'
);
register_setting(
    'addify_invoices_pdf_general_settings_fields',
    'af_invoices_pdf_footer_background_color'
);
add_settings_field(
    'af_invoices_pdf_order_table_color',
    esc_html__('PDF order table text color', ' af_pdf_invoices'),
    'af_invoices_pdf_order_table_color',
    'addify_invoices_pdf_general_settings_sections',
    'addify_invoices_pdf_general_settings_fields'
);
register_setting(
    'addify_invoices_pdf_general_settings_fields',
    'af_invoices_pdf_order_table_color'
);
add_settings_field(
    'af_invoices_pdf_order_table_back_color',
    esc_html__('Order table background color', ' af_pdf_invoices'),
    'af_invoices_pdf_order_table_back_color',
    'addify_invoices_pdf_general_settings_sections',
    'addify_invoices_pdf_general_settings_fields'
);
register_setting(
    'addify_invoices_pdf_general_settings_fields',
    'af_invoices_pdf_order_table_back_color'
);

add_settings_field(
    'af_invoices_pdf_note_footer',
    esc_html__('Add note to the footer:', ' af_pdf_invoices'),
    'af_invoices_pdf_note_footer',
    'addify_invoices_pdf_general_settings_sections',
    'addify_invoices_pdf_general_settings_fields'
);
register_setting(
    'addify_invoices_pdf_general_settings_fields',
    'af_invoices_pdf_note_footer'
);


add_settings_field(
    'af_invoices_pdf_term_condition',
    esc_html__('Terms and conditions', ' af_pdf_invoices'),
    'af_invoices_pdf_term_condition',
    'addify_invoices_pdf_general_settings_sections',
    'addify_invoices_pdf_general_settings_fields'
);
register_setting(
    'addify_invoices_pdf_general_settings_fields',
    'af_invoices_pdf_term_condition'
);










function af_invoice_pdf_heading()
{
    $af_invoice_pdf_heading = get_option('af_invoice_pdf_heading'); ?>
    <input type="text" class="af_pdf_invoice_preview_changes" name="af_invoice_pdf_heading"
        value="<?php echo esc_attr($af_invoice_pdf_heading) ?>">
    <p class="description">
        <?php echo esc_html__('Add text for invoice heading', 'af_pdf_invoices'); ?>
    </p>
    <?php
}

function af_invoices_pdf_order_table_back_color()
{
    $af_invoices_pdf_order_table_back_color = get_option('af_invoices_pdf_order_table_back_color');
    ?> <input class="af_pdf_invoice_preview_changes" type="color" name="af_invoices_pdf_order_table_back_color"
        value="<?php echo esc_attr($af_invoices_pdf_order_table_back_color); ?>">

    <p class="description">
        <?php echo esc_html__('Pick table background color', 'af_pdf_invoices'); ?>
    </p>
    <?php
}

function af_invoices_pdf_order_table_color()
{
    $af_invoices_pdf_order_table_color = get_option('af_invoices_pdf_order_table_color');
    ?>
    <input class="af_pdf_invoice_preview_changes" type="color" name="af_invoices_pdf_order_table_color"
        value="<?php echo esc_attr($af_invoices_pdf_order_table_color); ?>">
    <p class="description">
        <?php echo esc_html__('Pick color for the order table', 'af_pdf_invoices'); ?>
    </p>
    <?php
}
function af_invoices_pdf_footer_background_color()
{
    $af_invoices_pdf_footer_background_color = get_option('af_invoices_pdf_footer_background_color');
    ?>
    <input class="af_pdf_invoice_preview_changes" type="color" name="af_invoices_pdf_footer_background_color"
        value="<?php echo esc_attr($af_invoices_pdf_footer_background_color); ?>">
    <p class="description">
        <?php echo esc_html__('Pick footer background color ', 'af_pdf_invoices'); ?>
    </p>
    <?php
}

function af_invoices_pdf_footer_text_color()
{
    $af_invoices_pdf_footer_text_color = get_option('af_invoices_pdf_footer_text_color');
    ?>
    <input class="af_pdf_invoice_preview_changes" type="color" name="af_invoices_pdf_footer_text_color"
        value="<?php echo esc_attr($af_invoices_pdf_footer_text_color); ?>">
    <p class="description">
        <?php echo esc_html__('Pick footer text color', 'af_pdf_invoices'); ?>
    </p>
    <?php
}
function af_invoices_pdf_header_background_color()
{
    $af_invoices_pdf_header_background_color = get_option('af_invoices_pdf_header_background_color');
    ?>
    <input class="af_pdf_invoice_preview_changes" type="color" name="af_invoices_pdf_header_background_color"
        value="<?php echo esc_attr($af_invoices_pdf_header_background_color); ?>">
    <p class="description">
        <?php echo esc_html__('Pick header background color', 'af_pdf_invoices'); ?>
    </p>
    <?php
}

function af_invoices_pdf_header_color()
{
    $af_invoices_pdf_header_color = get_option('af_invoices_pdf_header_color');
    ?>
    <input class="af_pdf_invoice_preview_changes" type="color" name="af_invoices_pdf_header_color"
        value="<?php echo esc_attr($af_invoices_pdf_header_color); ?>">
    <p class="description">
        <?php echo esc_html__('Pick header text color', 'af_pdf_invoices'); ?>
    </p>
    <?php

}



function af_invoices_pdf_shipping_date()
{
    $af_invoices_pdf_shipping_date = get_option('af_invoices_pdf_shipping_date');
    ?>
    <input class="af_pdf_invoice_preview_changes" type="checkbox" value="yes" id="af_invoices_pdf_shipping_date"
        name="af_invoices_pdf_shipping_date" <?php if (!empty($af_invoices_pdf_shipping_date))
        {
            echo 'checked';
        } ?>>


    <p class="description">
        <?php echo esc_html__('Show shipping data on invoice ', 'af_pdf_invoices'); ?>
    </p>
    <?php
}
function af_invoices_order_date()
{
    $af_invoices_order_date = get_option('af_invoices_order_date');
    ?>
    <input class="af_pdf_invoice_preview_changes" type="checkbox" value="yes" id="af_invoices_order_date"
        name="af_invoices_order_date" <?php if (!empty($af_invoices_order_date))
        {
            echo 'checked';
        } ?>>

    <p class="description">
        <?php echo esc_html__('Show order date on invoice', 'af_pdf_invoices'); ?>
    </p>

    <?php
}

function af_invoices_vat_number()
{
    $af_invoices_vat_number = get_option('af_invoices_vat_number');
    ?>
    <input class="af_pdf_invoice_preview_changes" type="text" value="<?php echo esc_attr($af_invoices_vat_number); ?>"
        id="af_invoices_vat_number" name="af_invoices_vat_number">
    <?php
}


function af_invoices_allow_invoice_download()
{
    $af_invoices_allow_invoice_download = get_option('af_invoices_allow_invoice_download');
    ?>
    <input class="af_pdf_invoice_preview_changes" type="checkbox" value="yes" id="af_invoices_allow_invoice_download"
        name="af_invoices_allow_invoice_download" <?php if (!empty($af_invoices_allow_invoice_download))
        {
            echo 'checked';
        } ?>>

    <p class="description">
        <?php echo esc_html__('Allow to download the PDF invoices from the order page
', 'af_pdf_invoices'); ?>
    </p>



    <?php
}

function af_invoices_display_invoice_number()
{
    $af_invoices_display_invoice_number = get_option('af_invoices_display_invoice_number');

    $af_invoice_padding = get_option('af_invoice_padding');
    ?>
    <select class="af_pdf_invoice_preview_changes" id="af_invoices_display_invoice_number"
        name="af_invoices_display_invoice_number">
        <option value="no" <?php selected($af_invoices_display_invoice_number, 'no'); ?>>
            <?php echo esc_html__('No', 'af_pdf_invoices'); ?>
        </option>
        <option value="invoice_number" <?php selected($af_invoices_display_invoice_number, 'invoice_number'); ?>>
            <?php echo esc_html__('Invoice number', 'af_pdf_invoices'); ?>
        </option>
        <option value="order_number" <?php selected($af_invoices_display_invoice_number, 'order_number'); ?>>
            <?php echo esc_html__('Order number', 'af_pdf_invoices'); ?>
        </option>
    </select>
    <div id="af_invoice_number_fields">
        <label><?php echo esc_html__('Invoice number:', 'af_pdf_invoices'); ?></label>
        <input class="af_pdf_invoice_preview_changes" type="text" name="af_invoice_padding"
            placeholder="{order_id}, {order_date}, {invoice_number},{current_time},{current__date}"
            value="<?php echo esc_attr($af_invoice_padding); ?>">
        <p class="description">
            <?php echo esc_html__('You can use the following placeholders: {order_id}, {order_date}, {invoice_number}', 'af_pdf_invoices'); ?>
        </p>
    </div>
    <?php
}



function af_invoices_display_phone_number()
{
    $af_invoices_display_phone_number = get_option('af_invoices_display_phone_number');
    ?>
    <input class="af_pdf_invoice_preview_changes" type="checkbox" value="yes" id="af_invoices_display_phone_number"
        name="af_invoices_display_phone_number" <?php if (!empty($af_invoices_display_phone_number))
        {
            echo 'checked';
        } ?>>

    <p class="description">
        <?php echo esc_html__('Show phone number of user on invoice', 'af_pdf_invoices'); ?>
    </p>

    <?php
}


function af_invoices_display_email_address()
{
    $af_invoices_display_email_address = get_option('af_invoices_display_email_address');
    ?>
    <input class="af_pdf_invoice_preview_changes" type="checkbox" value="yes" id="af_invoices_display_email_address"
        name="af_invoices_display_email_address" <?php if (!empty($af_invoices_display_email_address))
        {
            echo 'checked';
        } ?>>
    <p class="description">
        <?php echo esc_html__('Show email of user on invoice', 'af_pdf_invoices'); ?>
    </p>
    <?php
}

function af_invoices_pdf_company_detail()
{
    $af_invoices_pdf_company_detail = get_option('af_invoices_pdf_company_detail');
    $af_invoices_pdf_custom_store_name = get_option('af_invoices_pdf_custom_store_name');



    ?>
    <select class="af_pdf_invoice_preview_changes" id="af_invoices_pdf_company_detail"
        name="af_invoices_pdf_company_detail">
        <option value="no" <?php selected($af_invoices_pdf_company_detail, 'no'); ?>>
            <?php echo esc_html__('No', 'af_pdf_invoices'); ?>
        </option>
        <option value="default" <?php selected($af_invoices_pdf_company_detail, 'default'); ?>>
            <?php echo esc_html__('Default store detail', 'af_pdf_invoices'); ?>
        </option>
        <option value="custom" <?php selected($af_invoices_pdf_company_detail, 'custom'); ?>>
            <?php echo esc_html__('Custom', 'af_pdf_invoices'); ?>
        </option>
    </select>

    <div id="custom-store-details"
        style="display: <?php echo $af_invoices_pdf_company_detail == 'custom' ? 'block' : 'none'; ?>;">
        <p>
            <textarea class="af_pdf_invoice_preview_changes" id="af_invoices_pdf_custom_store_name" placeholder="
                store name 
                address
                city
                country"
                name="af_invoices_pdf_custom_store_name"><?php echo esc_attr($af_invoices_pdf_custom_store_name); ?></textarea>
        </p>
    </div>

    <?php
}

function af_invoices_pdf_header_logo_height()
{
    $af_invoices_pdf_header_logo_height = get_option('af_invoices_pdf_header_logo_height');
    ?>
    <input class="af_pdf_invoice_preview_changes" type="number" min="1" name="af_invoices_pdf_header_logo_height"
        value="<?php echo esc_attr($af_invoices_pdf_header_logo_height); ?>">
    <p class="description">
        <?php echo esc_html__('Choose logo height in pixels', 'af_pdf_invoices'); ?>
    </p>

    <?php
}


function af_invoices_pdf_header_logo()
{
    $af_invoices_pdf_header_logo = get_option('af_invoices_pdf_header_logo');
    ?>

    <div class="imgdis">
        <img style="max-width: 200px!important;" id="af_invoice_pdf_upload_icon_img"
            src="<?php echo esc_url($af_invoices_pdf_header_logo); ?>" />
    </div>
    <input class="af_pdf_invoice_preview_changes" type="hidden" value="<?php echo esc_url($af_invoices_pdf_header_logo); ?>"
        name="af_invoices_pdf_header_logo" id="af_invoices_pdf_header_logo">
    <input class="af_pdf_invoice_preview_changes" type="button" name="af_invoices_pdf_upload_btn"
        id="af_invoices_pdf_upload_btn" class="button-secondary"
        value="<?php echo esc_html__('Upload icon', 'af_invoices_pdf_header_logo'); ?>">
    <p class="description">
        <?php echo esc_html__('Upload a logo for invoice', 'af_pdf_invoices'); ?>
    </p>
    <?php
}



function af_invoices_pdf_select_email()
{
    $selected_emails = (array)get_option('af_invoices_pdf_select_email');

    $refunded_order_enabled = get_option('woocommerce_customer_refunded_order_enabled');
    error_log('Refunded order enabled: ' . $refunded_order_enabled);

    ?>
    <select style="width: 300px;" name="af_invoices_pdf_select_email[]" class="af_invoices_pdf_emails"
        id="af_invoices_pdf_select_email" multiple>
        <?php

        $email_templates = WC()->mailer()->get_emails();

        foreach ($email_templates as $template_key => $template)
        {

            if ($template_key === 'customer_refunded_order' && $refunded_order_enabled === 'yes')
            {
                continue;
            }

            $selected = in_array($template_key, $selected_emails) ? 'selected' : '';
            echo '<option value="' . esc_attr($template_key) . '" ' . $selected . '>' . esc_html($template->get_title()) . '</option>';
        }
        ?>
    </select>
    <p class="description">
        <?php echo esc_html__('Select email template to attach the PDF invoice to', 'af_pdf_invoices'); ?>
    </p>

    <?php
}








function order_statuses()
{
    $order_statuses_saved = get_option('order_statuses', []);
    $order_statuses_all = wc_get_order_statuses();

    ?>
    <select style="width: 300px;" name="order_statuses[]" id="order_statuses" class="af_pdf_invoices_for_order" multiple>
        <?php
        foreach ($order_statuses_all as $status_key => $status)
        {
            $selected = in_array($status_key, (array)$order_statuses_saved) ? 'selected' : '';
            echo '<option value="' . esc_attr($status_key) . '" ' . $selected . '>' . esc_html($status) . '</option>';
        }
        ?>
    </select>
    <p class="description">
        <?php echo esc_html__('Choose order status to allow PDF download from "My Account"', 'af_pdf_invoices'); ?>
    </p>
    <?php
}






function af_invoices_pdf_note_footer()
{
    $af_invoices_pdf_note_footer = get_option('af_invoices_pdf_note_footer');
    ?>
    <input class="af_pdf_invoice_preview_changes" type="text" name="af_invoices_pdf_note_footer"
        value="<?php echo esc_attr($af_invoices_pdf_note_footer); ?>">
    <p class="description"><?php _e('Add text for PDF footer note 
', 'af_pdf_invoices'); ?></p>

    <?php
}

function af_invoices_pdf_term_condition()
{
    $af_invoices_pdf_term_condition = get_option('af_invoices_pdf_term_condition');

    $settings = array(
        'textarea_name' => 'af_invoices_pdf_term_condition',
        'media_buttons' => false,
        'teeny' => true,
        'quicktags' => false,
        'tinymce' => array(
            'toolbar1' => 'bold,italic,underline,bullist,numlist,link,unlink,undo,redo',
            'toolbar2' => '',
            'block_formats' => 'Paragraph=p; Header 1=h1; Header 2=h2; Header 3=h3',
        ),
        'editor_height' => 200,
    );

    echo '<div class="af_pdf_invoice_preview_changes" style="width: 250px;">';
    wp_editor($af_invoices_pdf_term_condition, 'af_invoices_pdf_term_condition_editor', $settings);
    echo '</div>';
    echo '<style>
        .af_pdf_invoice_preview_changes #wp-af_invoices_pdf_term_condition_editor-wrap {
            width: 250px;
        }
        .af_pdf_invoice_preview_changes #wp-af_invoices_pdf_term_condition_editor-editor-container {
            width: 250px;
        }
    </style>';
    ?>
    <p class="description"><?php _e('Add text for terms & conditions
', 'af_pdf_invoices'); ?></p>
    <?php

}











